%define upstream_name    Data-Peek
%define upstream_version 0.44

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A collection of low-level debug facilities
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tgz

BuildRequires: perl(Data::Dumper)
BuildRequires: perl(DynaLoader)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl-devel
%{?perl_default_filter}

%description
Data::Peek started off as 'DDumper' being a wrapper module over the
Data::Dumper manpage, but grew out to be a set of low-level data
introspection utilities that no other module provided yet, using the lowest
level of the perl internals API as possible.

DDumper ($var, ...)
    Not liking the default output of Data::Dumper, and always feeling the
    need to set '$Data::Dumper::Sortkeys = 1;', and not liking any of the
    default layouts, this function is just a wrapper around
    Data::Dumper::Dumper with everything set as I like it.

        $Data::Dumper::Sortkeys = 1;
        $Data::Dumper::Indent   = 1;

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
yes | %{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc ChangeLog META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.440.0-3.mga6
+ Revision: 1024828
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.440.0-2.mga6
+ Revision: 957059
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.440.0-1.mga6
+ Revision: 843872
- update to 0.44

* Sat Oct 18 2014 umeabot <umeabot> 0.400.0-6.mga5
+ Revision: 788197
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.400.0-5.mga5
+ Revision: 747317
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.400.0-4.mga5
+ Revision: 735463
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.400.0-3.mga5
+ Revision: 684225
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.400.0-2.mga5
+ Revision: 631049
- Rebuild for perl 5.20

* Fri Feb 28 2014 jquelin <jquelin> 0.400.0-1.mga5
+ Revision: 597838
- update to 0.40

* Thu Feb 13 2014 jquelin <jquelin> 0.390.0-1.mga5
+ Revision: 590565
- update to 0.39

* Sat Oct 19 2013 umeabot <umeabot> 0.380.0-4.mga4
+ Revision: 524755
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.380.0-3.mga4
+ Revision: 431426
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.380.0-2.mga3
+ Revision: 365400
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.380.0-1.mga3
+ Revision: 254800
- update to 0.38

* Wed May 30 2012 jquelin <jquelin> 0.360.0-3.mga3
+ Revision: 250479
- rebuild for perl 5.16

* Fri Sep 16 2011 takashi <takashi> 0.360.0-2.mga2
+ Revision: 144207
- update to 0.36

* Sun Jun 12 2011 sander85 <sander85> 0.330.0-2.mga2
+ Revision: 104392
- Rebuild for perl 5.14

* Sat Feb 26 2011 jquelin <jquelin> 0.330.0-1.mga1
+ Revision: 60736
- adding missing buildrequires:
- update to 0.33
- cleaning spec file
- imported package perl-Data-Peek

